> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get lead with mobile code

> customerId, phoneNumber and mobileAppId are optional. But there must be exist at least one of them.



## OpenAPI

````yaml /open-api/api-docs.yml post /lead/page/{pageNo}
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /lead/page/{pageNo}:
    post:
      tags:
        - Lead Api
      summary: Get lead with mobile code
      description: >-
        customerId, phoneNumber and mobileAppId are optional. But there must be
        exist at least one of them.
      operationId: GetLeadListUsingPOST
      parameters:
        - name: pageNo
          in: path
          description: pageNo
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        description: getLeadRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetLeadRequest'
        required: true
      responses:
        '200':
          description: Get leads Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLeadResponse'
        '201':
          description: Created
          content: {}
        '400':
          description: ApiErrorResponse model bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    GetLeadRequest:
      title: GetLeadRequest
      type: object
      properties:
        phoneNumber:
          type: string
          description: phoneNumber[optional].
          example: '5555555550'
        mobileAppId:
          type: string
          description: mobileAppId[optional].
          example: 1231-4654-6564-3450-55
      description: Request Model for Get Lead With Mobile
    GetLeadResponse:
      title: GetLeadResponse
      type: object
      properties:
        id:
          type: integer
          format: int64
          example: 89839
        totalPages:
          type: integer
          format: int32
          example: 1
        href:
          type: string
          example: FN-3***
        totalItems:
          type: integer
          format: int32
          example: 1
        creationDate:
          type: string
          example: '2020-07-06T00:00:00.000Z'
        currentPage:
          type: integer
          format: int32
          example: 1
        description:
          type: string
          example: '****'
        leads:
          type: array
          items:
            $ref: '#/components/schemas/GetLeadResponse'
        name:
          type: string
          example: KAMER T****
        rating:
          type: integer
          format: int32
          example: 50
        referredDate:
          type: string
          example: '2020-07-06T00:00:00.000Z'
        category:
          $ref: '#/components/schemas/Category'
        marketSegment:
          $ref: '#/components/schemas/MarketSegment'
        prospectContact:
          type: array
          items:
            $ref: '#/components/schemas/ProspectContact'
        relatedParty:
          type: array
          items:
            $ref: '#/components/schemas/RelatedParty'
        status:
          type: string
          example: Randevu Alındı
      description: Response Model for get lead
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model
    Category:
      title: Category
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          example: Alarm
      description: Category for get lead
    MarketSegment:
      title: MarketSegment
      type: object
      properties:
        id:
          type: integer
          format: int32
          example: 1
        name:
          type: string
          example: Alarm
      description: MarketSegment for get lead
    ProspectContact:
      title: ProspectContact
      type: object
      properties:
        characteristic:
          $ref: '#/components/schemas/LeadCharacteristic'
      description: ProspectContact for get lead
    RelatedParty:
      title: RelatedParty
      required:
        - name
      type: object
      properties:
        id:
          type: string
          example: '456789'
        name:
          type: string
          description: Name of the related entity.
      description: >-
        Related Entity reference. A related party defines party or party role
        linked to a specific entity.
    LeadCharacteristic:
      title: LeadCharacteristic
      required:
        - phoneNumber
      type: object
      properties:
        city:
          type: string
          example: İstanbul
        phoneNumber:
          type: string
          description: Customer phone number
          example: >-
            5XXXXXXXXXX (phoneNumber must be 10 characters. phoneNumber must not
            be start 0.)
        mobileAppId:
          type: string
          example: 1231-4654-6564-6498-99
        subscriptionId:
          type: string
          example: '551'
        panelNo:
          type: string
          example: EA-560
      description: Characteristic for get lead

````